package de.accso.flexinale.common.shared_kernel;

public class DeveloperMistakeException extends RuntimeException {
    public DeveloperMistakeException(final String message) {
        super(message);
    }

    public DeveloperMistakeException() {
        super();
    }

    public DeveloperMistakeException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public DeveloperMistakeException(final Throwable cause) {
        super(cause);
    }

    protected DeveloperMistakeException(final String message, final Throwable cause,
                                        final boolean enableSuppression, final boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
